## onkyrimote-0.2.0.tar.gz

=== Makefile ===
include makefilet-download-ondemand.mk

DIR_PYDIST = $(DIR_BUILD)/pydist

.PHONY: default-target
default-target: build

.PHONY: build
build: $(DIR_PYDIST)

.PHONY: style
style:
	black --target-version py35 setup.py onkyrimote

.PHONY: clean
clean:
	rm -f *.pkg.tar*
	rm -rf pkg/
	rm -rf *.egg-info/

.PHONY: distribute-pypi
distribute-pypi: clean $(DIR_PYDIST)
	@if ! which twine >/dev/null 2>&1 || [ "$$(printf "1.11.0\n$$(twine --version | head -1 | cut -d" " -f3)" | sort -V | head -1)" != "1.11.0" ]; then \
		echo "you need twine >v1.11.0" >&2; \
		exit 1; \
	fi
	twine upload $(DIR_PYDIST)/*

$(DIR_PYDIST):
	python3 setup.py sdist --dist-dir "$(DIR_PYDIST)"

=== debian/changelog ===
onkyrimote (0.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Konrad Mohrfeldt <konrad.mohrfeldt@farbdev.org>  Sun, 23 Aug 2020 00:31:18 +0200

onkyrimote (0.1.0-1) unstable; urgency=medium

  * Initial release.

 -- Konrad Mohrfeldt <konrad.mohrfeldt@farbdev.org>  Sat, 22 Aug 2020 22:50:17 +0200

=== PKGBUILD ===
pkgname=python-onkyrimote
_pkgname=onkyrimote
pkgver=$(git describe --tags | sed 's/\([^-]*-\)g/r\1/;s/-/./g;s/^v//')
pkgrel=1
pkgdesc="Python library and command line utility for controlling Onkyo receivers through the RI protocol."
arch=('any')
url="https://github.com/kmohrf/onkyrimote"
license=('AGPLv3')
makedepends=('python-setuptools')
depends=('python')
optdepends=(
    'python-pigpio: support for Raspberry Pi'
)

package() {
    cd ..
    python setup.py install --root="${pkgdir}" --optimize=1
    install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/$pkgname/LICENSE"
}

=== debian/control ===
Source: onkyrimote
Section: python
Priority: optional
Maintainer: Konrad Mohrfeldt <mohrfeldt@silicann.com>
Standards-Version: 4.5.0
Build-Depends:
 debhelper (>= 9),
 python3,
 python3-setuptools,
Homepage: https://github.com/kmohrf/onkyrimote

Package: python3-onkyrimote
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3,
Recommends:
 python3-pigpio,
Description: Python-library and CLI utility for controlling Onkyo receivers with the RI protocol.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=onkyrimote

%:
	dh $@ --package python3-onkyrimote --with python3 --buildsystem pybuild --no-guessing-deps

override_dh_auto_install:
	dh_auto_install --package python3-onkyrimote --destdir debian/tmp
